/**
 * common
 */
* {
  margin: 0;
  padding: 0;
  border: 0;
  box-sizing: border-box;
}

html, body, #root, .App {
  height: 100%;
}

select {
  padding: 10px;
  margin: 3px 0px 20px;
  font-size: 15px;
  box-sizing: border-box;
  font-weight: bold;
  border: 1px solid #e1e1e2;
  appearance: none;
}

label {
  text-align: left;
  font-weight: bold;
  font-size: 13px;
}

ul {
  margin: 20px 0px 0px 0px;
  padding: 0px;
  list-style: none;
  text-align: left;
  background: #bbb;
}

ul > li:nth-child(2n - 1) {
  background-color: #e1e1e2;
}

li {
  /* height: 35px; */
  padding: 7px;
  font-size: 13px;
  vertical-align: middle;
  line-height: 25px;
}

/** header */
.header {
  position: sticky;
  display: flex;
  padding: 0px;
  height: 80px;
  justify-content: space-between;
  align-items: center;
  top: 0px;
  overflow: hidden;
  background-color: #f1f1f1;
  box-shadow: 0px 3px 8px 1px rgb(0 0 0);
}

.header__title {
  display: inline-block;
  line-height: inherit;
  text-align: center;
  font-size: 25px;
  font-weight: bold;
}

.header__nav {
  height: 100%;
}

.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 80px;
  height: 100%;
  padding: 12px;
  line-height: 20px;
  font-weight: bold;
  text-align: center;
  font-size: 1em;
  cursor: pointer;
  background-color: transparent;
}
.button__label {
  margin: 0px auto;
}
.button svg {
  width: 30px;
  height: 30px;
}

.button.active {
  background-color: #888;
  color: #fff;
}
.button--wide {
  width: 160px;
}

.gamescreen {
  position: absolute;
  top: 80px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  width: 100%;
  text-align: center;
  background-color: #e1e1e2;
}
.gamescreen__wrapper {
  width: 100%;
  height: 100%;
  margin: 0px auto;
}
.gamescreen__wrapper.mobile {
  width: 55vh;
  height: 100%;
  padding: 20px;
}

.gameiframe {
  width: 100%;
  height: 100%;
}

.App .modal-container {
  position: fixed;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  display: block;
  background: rgba(0, 0, 0, 0.7);
  z-index: 99999;
}
.App .modal-container > .modal-col {
  display: table;
  width: 100%;
  height: 100%;
  text-align: center;
  vertical-align: middle;
}
.App .modal-container > .modal-col > .modal {
  display: table-cell;
  width: 100%;
  height: 100%;
  vertical-align: middle;
}
.App .modal-container .modal-content {
  position: relative;
  display: inline-block;
  min-width: 300px;
  padding: 15px 15px 65px 15px;
  background: #fff;
  border-radius: 4px;
  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.5);
}
.App .modal-header {
  position: relative;
  display: flex;
  align-items: center;
  height: 40px;
}

.App .modal-title {
  margin: 0px 55px 0px 0px;
  font-size: 20px;
}

.App .modal-close {
  position: absolute;
  padding: 0px;
  right: 0px;
  top: 0px;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 0px;
  background-color: #e1e1e2;
  font-size: 15px;
  cursor: pointer;
}

.App .modal-submit {
  position: absolute;
  bottom: 0px;
  left: 0px;
  right: 0px;
  border: 0px;
  height: 50px;
  background: #009d00;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  cursor: pointer;
}

.App .modal ul {
  max-height: 245px;
  overflow-y: scroll;
}

/** responsive */
@media only screen and (max-width: 600px) {
  .header {
    position: fixed !important;
    width: 60px;
    height: auto !important;
    top: 70vh !important;
    left: 0px;
    color: #FFF;
    text-align: center;
    box-shadow: 2px 2px 3px #999;
    z-index: 999;
    flex-direction: column;
  }

  .gamescreen {
    position: relative;
    width: 100%;
    height: 100%;
  }
  .gamescreen__wrapper.mobile {
    width: 100%;
    padding: 0px;
  }

  .button {
    width: 100% !important;
  }

  .header__title,
  .button--mobile,
  .button--desktop,
  .button--close,
  .button__label {
    display: none;
  }

  .gamescreen {
    top: 0px;
  }
}